jQuery(document).ready(function($){
	var reapeat_cat='32',
		one_time_cat='34',
		def_location='Xm24',
		def_address='Ex Caserma Sani - Via ferrarese 199 - entrata dal parco di via Parri Via Aristotile Fioravanti, 24, 40129 Bologna';
	
	if($('#ai1ec_venue').val() == ""){
		$('#ai1ec_venue').val(def_location);
	}
	if($('#ai1ec_address').val() == ""){
		$('#ai1ec_address').val(def_address);
	}
	
	//Check iniziale, se non è ceccato è ONE
	var event_cat_id='#in-events_categories-';
	if($(event_cat_id+reapeat_cat).attr('checked')!='checked'){
		$(event_cat_id+one_time_cat).attr('checked','checked');
	}
	
	//cecca o dececca in base al valore repeat del form ai1ec
	function repeatOrNot_callback(){
		add_id=reapeat_cat;
		del_id=one_time_cat;
		if($('#ai1ec_repeat').attr('checked')!='checked'){
			add_id=one_time_cat;
			del_id=reapeat_cat;
		}
		
		$(event_cat_id+del_id).removeAttr('checked');
		$(event_cat_id+add_id).attr('checked','checked')
	}

	//ajaxSuccess non torna, faccio busywaiting per vedere 
	//della variabile il cambiamento, non funziona per l'azzeramento
	$('#ai1ec_rrule').on('change', repeatOrNot_callback);	
	var repeat_value = $('#ai1ec_rrule').val();
	setInterval(function() {
		if(repeat_value != $('#ai1ec_rrule').val()){
			repeat_value = $('#ai1ec_rrule').val();
			$('#ai1ec_rrule').trigger('change');
		}	 
	}, 1000);

	//se dececco è ONE
	$('#ai1ec_repeat').click(function () {
		if($('#ai1ec_repeat').attr('checked')!='checked'){
			$('#ai1ec_rrule').val('');
		} 
	});
	
	//Disabilito la possibilità di usare le categorie in modo manuale
	function gest_cat_callback(){
		if($(this).attr('checked')=='checked')
			$(this).removeAttr('checked');
		else
			$(this).attr('checked','checked');
		
		alert('Questa categoria è gestita automaticamente con il valore repeat nel form');
	}
	$(event_cat_id+reapeat_cat).click(gest_cat_callback);
	$(event_cat_id+one_time_cat).click(gest_cat_callback);
});
